Coupon
Delete a coupon
DELETE
/coupon/coupons/{coupon_oid}Delete a coupon on the UltraCart account.
Deletes multiple coupons
DELETE
/coupon/coupons/by_codeDelete coupons on the UltraCart account.
Deletes multiple coupons
DELETE
/coupon/coupons/by_oidDelete coupons on the UltraCart account.
Determines if a coupon merchant code already exists
GET
/coupon/coupons/merchant_code/{merchant_code}/existsDetermines if a coupon merchant code already exists.
Generates one time codes by merchant code
POST
/coupon/coupons/merchant_code/{merchant_code}/generate_codesGenerate one time codes by merchant code
Generates one time codes for a coupon
POST
/coupon/coupons/{coupon_oid}/generate_codesGenerate one time codes for a coupon
Insert a coupon
POST
/coupon/couponsInsert a coupon on the UltraCart account.
Insert multiple coupons
POST
/coupon/coupons/batchInsert multiple coupon on the UltraCart account.
Retrieve a coupon
GET
/coupon/coupons/{coupon_oid}Retrieves a single coupon using the specified coupon profile oid.
Retrieve a coupon by merchant code
GET
/coupon/coupons/merchant_code/{merchant_code}Retrieves a single coupon using the specified merchant code.
Retrieve auto apply rules and conditions
GET
/coupon/auto_applyRetrieve auto apply rules and conditions
Retrieve coupons
GET
/coupon/couponsRetrieves coupons for this account.
Retrieve coupons by query
POST
/coupon/coupons/queryRetrieves coupons from the account.
Retrieve values needed for a coupon editor
GET
/coupon/editor_valuesRetrieve values needed for a coupon editor
Searches for items to display within a coupon editor and assign to coupons
GET
/coupon/searchItemsSearches for items to display within a coupon editor and assign to coupons
Update a coupon
PUT
/coupon/coupons/{coupon_oid}Update a coupon on the UltraCart account.
Update auto apply rules and conditions
POST
/coupon/auto_applyUpdate auto apply rules and conditions
Update multiple coupons
PUT
/coupon/coupons/batchUpdate multiple coupon on the UltraCart account.
Upload one-time codes for a coupon
POST
/coupon/coupons/{coupon_oid}/upload_codesUpload one-time codes for a coupon
Was this page helpful?